Name:		wifi-radar
Version:	2.0.s10
Release:	%mkrel 2
Summary:	Utility for managing WiFi profiles
License:	GPLv2
Group:		Networking/Other
Url:		http://wifi-radar.tuxfamily.org/
Source0:	http://wifi-radar.tuxfamily.org/pub/%{name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	pygtk2.0
Requires:	dhcpcd
Requires:	usermode-consoleonly

%description
WiFi Radar is a Python/PyGTK2  utility for managing WiFi profiles.
It enables you to scan for available networks and create profiles for
your preferred networks. At boot time, running WiFi Radar will
automatically scan for an available preferred network and connect to
it. You can drag and drop your preferred networks to arrange the
profile priority.

%prep
%setup -q 
perl -pi -e 's!^CONF_FILE\s*=.*!CONF_FILE = "%{_sysconfdir}/%{name}.conf"!' %{name}

#fix the upstream desktop file (this Ubuntu's fanboys tsss)
sed -i 's/gksudo -S wifi-radar/wifi-radar/' %{name}.desktop
sed -i 's/wifi-radar.svg/wifi-radar/' %{name}.desktop
sed -i '/FilePattern=wifi-radar/d' %{name}.desktop

%build
%make

%install
%makeinstall_std DESTDIR=%{buildroot}%{_prefix} BINDIR=%{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}/
ln -sf consolehelper %{buildroot}%{_bindir}/%{name}

# An empty config file
mkdir -p %{buildroot}%{_sysconfdir} 
touch %{buildroot}%{_sysconfdir}/%{name}.conf

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=WIFI radar
Comment=Simple wireless network manager
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MageiaLinux-System-Configuration-Networking;Settings;Network;
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/security/console.apps/
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<EOF
USER=root
PROGRAM=%{_sbindir}/%{name}
SESSION=true
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d/
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       sufficient   pam_timestamp.so
auth       include      system-auth
session    required     pam_permit.so
session    optional     pam_xauth.so
session    optional     pam_timestamp.so
account    required     pam_permit.so
EOF

%files
%doc LICENSE.GPL docs/*
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%{_mandir}/man?/%{name}.*
%{_datadir}/pixmaps/%{name}.*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 2.0.s10-2.mga6
+ Revision: 969199
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 daviddavid <daviddavid> 2.0.s10-1.mga6
+ Revision: 864899
- new version: 2.0s10
- update URL and Source URL

* Wed Oct 15 2014 umeabot <umeabot> 2.0.s08-6.mga5
+ Revision: 740230
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.s08-5.mga5
+ Revision: 690310
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.s08-4.mga4
+ Revision: 520114
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.s08-3.mga3
+ Revision: 385697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 kharec <kharec> 2.0.s08-2.mga3
+ Revision: 286871
- Fix desktop file
- fix license tag

* Thu Aug 30 2012 dams <dams> 2.0.s08-1.mga3
+ Revision: 285828
- new version 2.0.s08
- clean specfile
- update %%build and %%install
- fix ugly icon

* Wed Aug 29 2012 kharec <kharec> 1.9.9-2.mga3
+ Revision: 285060
- imported package wifi-radar

